B.2. Various A-V sync and other audio problems
Prev | Appendix B. Known bugs | Next

## B.2. Various A-V sync and other audio problems

### B.2.1. General audio delay or jerky sound (exists with all or many files)

- most common: buggy audio driver! - try to use different drivers, try ALSA OSS emulation with `-ao oss`, also try `-ao sdl`, sometimes it helps. If your file plays fine with `-nosound`, then you can be sure it's sound card (driver) problem.

- audio buffer problems (buffer size badly detected)

  Workaround: MPlayer's `-abs` option

- samplerate problems - maybe your card doesn't support the samplerate used in your files - try the resampling filter (`-af resample=...`)

- slow machine (CPU or VGA)

  try with `-vo null`, if it plays well, then you have slow VGA card/driver

  Workaround: buy a faster card or read this documentation about how to speed up

  Also try `-framedrop`

### B.2.2. Audio delay/de-sync specific to one or a few files

- bad file

  Workaround:

  - `-ni` or `-nobps` option (for non-interleaved or bad files)

    and/or

  - `-mc 0` (required for files with badly interleaved VBR audio)

    and/or

  - `-delay` or +/- keys at runtime to adjust delay

  If none of these help, please upload the file, we'll check (and fix).

- your sound card doesn't support 48kHz playback

  Workaround: buy a better sound card... or try to decrease fps by 10% (use `-fps 27` for a 30fps movie) or use the resample filter

- slow machine (if A-V is not around 0, and the last number in the status line increasing)

  Workaround: `-framedrop`

### B.2.3. No sound at all

- your file uses an unsupported audio codec

  Solution: read the documentation and help us adding support for it

### B.2.4. No picture at all (just plain grey/green window)

- your file uses an unsupported video codec

  Solution: read the documentation and help us adding support for it

- auto-selected codec can't decode the file, try to select another using `-vc` or `-vfm` options

### B.2.5. Video-out problems

First note that the options `-fs`, `-vm` and `-zoom` are not supported by all drivers. Plus, not all drivers support scaling/zooming in hardware.

OSD/sub flickering.

- x11 driver: sorry, it can't be fixed now

- xv driver: use `-double` option

Green image using mga_vid (`-vo mga` / `-vo xmga`).

- mga_vid misdetected your card's RAM amount, reload it using `mga_ram_size` option.

Prev | Up | Next
B.1. Special system/CPU-specific bugs/problems | Home | Appendix C. MPlayer skin format